Bug 805197 - (CVE-2012-1571) CVE-2012-1571 file: out of bounds read in CDF parser
CVE-2012-1571 file: out of bounds read in CDF parser
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120216,reported=2...
: Reopened, Security
Depends On: 1114438 1114520 1114521 1119563 1119564 1120503 1120504
Blocks: 735399 1065838 1101912
  Show dependency treegraph
 
Reported: 2012-03-20 12:29 EDT by Jan Lieskovsky
Modified: 2015-09-21 07:29 EDT (History)
12 users (show)

See Also:
Fixed In Version: file 5.11
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-31 06:37:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-20 12:29:05 EDT
Multiple out-of heap-based buffer read flaws and invalid pointer dereference flaws were found in the way file, utility for determining of file types processed header section for certain Composite Document Format (CDF) files. A remote attacker could provide a specially-crafted CDF file, which once inspected by the file utility of the victim would lead to file executable crash.

Upstream patches:
https://github.com/file/file/commit/1859fdb4e67c49c463c4e0078054335cd46ba295
https://github.com/file/file/commit/1140872578eedaeecf828f1841d17ff574372dba
https://github.com/file/file/commit/1aec04dbf8a24b8a6ba64c4f74efa0628e36db0b

References:
http://mx.gw.com/pipermail/file/2012/000914.html
http://www.openwall.com/lists/oss-security/2012/02/20/7
http://www.debian.org/security/2012/dsa-2422
http://mx.gw.com/pipermail/file/2012/000915.html
http://mx.gw.com/pipermail/file/2012/000916.html
Comment 1 Jan Lieskovsky 2012-03-20 12:32:20 EDT
This issue did NOT affect the version of the file package, as shipped with Red Hat Enterprise Linux 5 as it did not include support for processing of Composite Document Files (CDF) yet.

--

This issue affects the version of the file package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the file package, as shipped with Fedora release of 15 and 16.
Comment 3 Jan Lieskovsky 2012-03-20 13:12:37 EDT
CVE request:
[8] http://www.openwall.com/lists/oss-security/2012/03/20/11
Comment 4 Kurt Seifried 2012-03-20 13:19:20 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/20/11
Comment 5 Jan Lieskovsky 2012-03-20 13:32:46 EDT
Statement:

This issue did not affect the versions of the php and file packages as shipped with Red Hat Enterprise Linux 5 and 7.
Comment 7 Francisco Alonso 2014-06-30 02:08:27 EDT
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1114438]
Comment 10 Fedora Update System 2014-07-05 10:53:22 EDT
file-5.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Martin Prpic 2014-07-28 07:12:25 EDT
IssueDescription:

A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.
Comment 16 errata-xmlrpc 2014-08-06 01:15:08 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2014:1012 https://rhn.redhat.com/errata/RHSA-2014-1012.html
Comment 17 errata-xmlrpc 2014-10-14 04:29:03 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1606 https://rhn.redhat.com/errata/RHSA-2014-1606.html

Note You need to log in before you can comment on or make changes to this bug.